colpf0	equ $d016
colpf1	equ $d017
colpf2	equ $d018
colpf3	equ $d019
colbak	equ $d01a
wsync	equ $d40a

tmp	equ $80
posx	equ $82
posy	equ $83
scr	equ $84
mov	equ $85
rows	equ $86
hpos	equ $87

shape_a	equ $0a00
shape_h	equ $0b00
shape_t	equ $0c00
shapesp	equ $0d00
taby_lo	equ $0e80
taby_hi	equ $0f00
bltbuf	equ $0f80

msxinit	equ $b478
msxplay	equ $b47e
;
	org $3000
;
intro	ldx #94
	lda #$0e
_genant	sta antic+9,x
	dex
	bpl _genant

	ldy #$20
	lda #$00
	tax
_clrmem	sta $1000,x
	inx
	bne _clrmem
	inc _clrmem+2
	dey
	bne _clrmem

	lda #$04
	sta 708
	lda #$88
	sta 709
	lda #$0c
	sta 710
	sta hpos
	
	lda #$10
	sta scr

	lda #$00
	tay
	tax
_taby	sta taby_lo,x
	pha
	tya
	sta taby_hi,x
	pla
	clc
	adc #$28
	bcc *+3
	iny
	inx
	bpl _taby

; generate shifted shapes
	ldx #$00
	stx tmp
shapea	ldy #$00
_shapea	lda logo_a,y
	sta shape_a,x
	lda logo_a+1,y
	sta shape_a+1,x
	lda #$00
	sta shape_a+2,x
	sty tmp+1
	ldy tmp
	beq _shpa
_rolla	clc
	ror shape_a,x
	ror shape_a+1,x
	ror shape_a+2,x
	clc
	ror shape_a,x
	ror shape_a+1,x
	ror shape_a+2,x
	dey
	bne _rolla
_shpa	ldy tmp+1
	inx
	inx
	inx
	iny
	iny
	cpy #$20
	bne _shapea
	inc tmp
	lda tmp
	cmp #$04
	bne shapea

	ldx #$00
	stx tmp
shapeh	ldy #$00
_shapeh	lda logo_h,y
	sta shape_h,x
	lda logo_h+1,y
	sta shape_h+1,x
	lda #$00
	sta shape_h+2,x
	sty tmp+1
	ldy tmp
	beq _shph
_rollh	clc
	ror shape_h,x
	ror shape_h+1,x
	ror shape_h+2,x
	clc
	ror shape_h,x
	ror shape_h+1,x
	ror shape_h+2,x
	dey
	bne _rollh
_shph	ldy tmp+1
	inx
	inx
	inx
	iny
	iny
	cpy #$20
	bne _shapeh
	inc tmp
	lda tmp
	cmp #$04
	bne shapeh

	ldx #$00
	stx tmp
shapet	ldy #$00
_shapet	lda logo_t,y
	sta shape_t,x
	lda logo_t+1,y
	sta shape_t+1,x
	lda #$00
	sta shape_t+2,x
	sty tmp+1
	ldy tmp
	beq _shpt
_rollt	clc
	ror shape_t,x
	ror shape_t+1,x
	ror shape_t+2,x
	clc
	ror shape_t,x
	ror shape_t+1,x
	ror shape_t+2,x
	dey
	bne _rollt
_shpt	ldy tmp+1
	inx
	inx
	inx
	iny
	iny
	cpy #$20
	bne _shapet
	inc tmp
	lda tmp
	cmp #$04
	bne shapet

	ldx #$00
	stx tmp
shpesp	ldy #$00
_shapes	lda logo_sp,y
	sta shapesp,x
	lda logo_sp+1,y
	sta shapesp+1,x
	lda #$00
	sta shapesp+2,x
	sty tmp+1
	ldy tmp
	beq _shpsp
_rollsp	clc
	ror shapesp,x
	ror shapesp+1,x
	ror shapesp+2,x
	clc
	ror shapesp,x
	ror shapesp+1,x
	ror shapesp+2,x
	dey
	bne _rollsp
_shpsp	ldy tmp+1
	inx
	inx
	inx
	iny
	iny
	cpy #$20
	bne _shapes
	inc tmp
	lda tmp
	cmp #$04
	bne shpesp

	lda #$01
	sta $d208
	lda #$03
	sta $d20f
	jsr msxinit

	lda #<antic
	sta $230
	lda #>antic
	sta $231
	sta $2fc

; *******
;  INTRO
; *******
_intro	jsr msxplay

	lda $2fc
	cmp #33
	bne *+5
	jmp game

	ldx #$10
	ldy #$20
	lda scr
	cmp #$10
	bne _flp
	ldx #$20
	ldy #$10
_flp	lda $d40b
	bne *-3
	sty _antadr+2
	stx scr

; clear screen
	ldx #$00
	lda scr
	cmp #$20
	beq clr2

	txa
_clr	sta $1280,x
	sta $1380,x
	sta $1480,x
	sta $1580,x
	sta $1680,x
	sta $1780,x
	sta $1880,x
	sta $1980,x
	sta $1a80,x
	sta $1b80,x
	sta $1c80,x
	sta $1d80,x
	inx
	bne _clr
	jmp _move

clr2	txa
_clr2	sta $2280,x
	sta $2380,x
	sta $2480,x
	sta $2580,x
	sta $2680,x
	sta $2780,x
	sta $2880,x
	sta $2980,x
	sta $2a80,x
	sta $2b80,x
	sta $2c80,x
	sta $2d80,x
	inx
	bne _clr2

_move	lda #$00
	sta wsync
	sta colpf2

	dec hpos
	lda hpos
	cmp #$0b
	bne _hscrl
	inc _scrl+1
	bne *+5
	inc _scrl+2
	lda #$0f
	sta hpos
_hscrl	sta $d404

	lda _scrl+1
	sta _bpsl+1
	lda _scrl+2
	sta _bpsl+2
	ldx #43
_bpsl	lda $ffff,x
	bpl _sprt
	lda #<scroll
	sta _scrl+1
	lda #>scroll
	sta _scrl+2

_sprt	inc mov
	lda mov
	and #$7f
	tax

; draw sprites
	lda #<shapesp
	sta drwshp+1
	lda #>shapesp
	sta drwshp+2
	lda movtab,x
	sta posx
	lda movtab+$80,x
	sta posy
	jsr blt

	lda mov
	clc
	adc #$10
	and #$7f
	tax

	lda #<shape_a
	sta drwshp+1
	lda #>shape_a
	sta drwshp+2
	lda movtab,x
	sta posx
	lda movtab+$80,x
	sta posy
	jsr blt

	lda mov
	clc
	adc #$20
	and #$7f
	tax

	lda #<shapesp
	sta drwshp+1
	lda #>shapesp
	sta drwshp+2
	lda movtab,x
	sta posx
	lda movtab+$80,x
	sta posy
	jsr blt

	lda mov
	clc
	adc #$30
	and #$7f
	tax

	lda #<shape_h
	sta drwshp+1
	lda #>shape_h
	sta drwshp+2
	lda movtab,x
	sta posx
	lda movtab+$80,x
	sta posy
	jsr blt

	lda mov
	clc
	adc #$40
	and #$7f
	tax

	lda #<shapesp
	sta drwshp+1
	lda #>shapesp
	sta drwshp+2
	lda movtab,x
	sta posx
	lda movtab+$80,x
	sta posy
	jsr blt

	lda mov
	clc
	adc #$50
	and #$7f
	tax

	lda #<shape_t
	sta drwshp+1
	lda #>shape_t
	sta drwshp+2
	lda movtab,x
	sta posx
	lda movtab+$80,x
	sta posy
	jsr blt

	lda mov
	clc
	adc #$60
	and #$7f
	tax

	lda #<shapesp
	sta drwshp+1
	lda #>shapesp
	sta drwshp+2
	lda movtab,x
	sta posx
	lda movtab+$80,x
	sta posy
	jsr blt

	jmp _intro

;
blt	lda posx
	ldy #$00
	clc
	lsr @
	bcc *+3
	iny
	lsr @
	bcc *+4
	iny
	iny
	sta tmp
	ldx shptab,y

	ldy posy
	lda taby_hi,y
	clc
	adc scr
	sta _bp0+2
	lda taby_lo,y
	clc
	adc tmp
	sta _bp0+1
	bcc *+5
	inc _bp0+2

	lda #$10
	sta rows
draw	ldy #$00
drwshp	lda shape_a,x
_bp0	sta $1000,y
	inx
	iny
	cpy #$03
	bne drwshp
	lda _bp0+1
	clc
	adc #$28
	sta _bp0+1
	bcc *+5
	inc _bp0+2
	dec rows
	bne draw

	rts

; *********
;  TRAINER
; *********
game	ldx #$08
	lda #$00
_off	sta $d200,x
	dex
	bpl _off
	stx $2fc

	sta 710
	lda #<antic2
	sta $230
	lda #>antic2
	sta $231

	ldx #$16
_msg	lda msg,x
	sta text+4,x
	dex
	bpl _msg

	ldy #$2e
_key	lda $2fc
	cmp #$ff
	beq _key
	cmp #$2b
	bne _game
	ldy #$39
	lda #$a5
	sta $7488

_game	sty text+$1b

	ldy #$46
	inx
_mov	lda $b300,x
_mov0	sta $bf00,x
	inx
	bne _mov
	dec _mov+2
	dec _mov0+2
	dey
	bne _mov

_mov1	lda $6d00,x
	sta $7400,x
	inx
	bne _mov1

	jmp $7403

;
scroll	dta d'                                            HELLO!    HERE IT IS...    ANOTHER TRAINER FROM ATARI HACKING TEAM...    MOON PATROL...    TRAINED ON 21.09.2004 BY PR0BE    GREETINGS GO TO...    '
	dta d'NEW GENERATION   ZELAX   TAQUART   GRAYSCALE   TRISTESSE   QUASIMODOS   MADTEAM   SATANTRONIC   '
	dta d'SWORD   SLIGHT   BIT BUSTERS   SSG   DIAL   ABBUC'
text	dta d'                                            ',$ff

msg	dta d'UNLIMITED LIVES? (Y/N)'

shptab	dta $00,$30,$60,$90

logo_a	dta $ff,$ff,$ea,$a9,$ea,$a9,$e9,$69,$e9,$e9,$e9,$e9,$eb,$e9,$ea,$a9
	dta $ea,$a9,$e9,$69,$e9,$e9,$e9,$e9,$e9,$e9,$e9,$e9,$e9,$e9,$d5,$d5

logo_h	dta $ff,$ff,$e9,$e9,$e9,$e9,$e9,$e9,$e9,$e9,$e9,$e9,$ea,$a9,$ea,$a9
	dta $ea,$a9,$ea,$a9,$e9,$69,$e9,$e9,$e9,$e9,$e9,$e9,$e9,$e9,$d5,$d5

logo_t	dta $ff,$ff,$ea,$a9,$ea,$a9,$ea,$a9,$ea,$a9,$d6,$95,$0e,$90,$0e,$90
	dta $0e,$90,$0e,$90,$0e,$90,$0e,$90,$0e,$90,$0e,$90,$0e,$90,$0d,$50

logo_sp	dta $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	dta $00,$00,$00,$00,$0f,$f0,$0e,$90,$0e,$90,$0e,$90,$0e,$90,$0d,$50

movtab	ins "movtab.dat"

antic2	dta $70,$70,$70,$70
	dta $42,<text,>text
	dta $41,<antic2,>antic2
	
;
antic	dta $70,$70,$70,$70,$70,$70
_antadr	dta $4e,$00,$10
	org antic+9+95
	dta $70,$70,$70,$70,$70,$70
_scrl	dta $52,<scroll,>scroll
	dta $41,<antic,>antic

;
	org $6d00
	ins "mpinit.dat"

	org $6e00
	ins "mpatrol.dat"

;
	opt h-
	ins "warhawk.sap"
	opt h+

;
	run intro
